Bug 1459848 - [trello aeh71wF7] No need confirmation prompt when click "create anyway" button
[trello aeh71wF7] No need confirmation prompt when click "create anyway" button
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Samuel Padgett
XiaochuanWang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 06:50 EDT by shahan
Modified: 2017-08-16 15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-21 08:14:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
no need prompt (159.17 KB, image/png)
2017-06-08 06:50 EDT, shahan
no flags Details

  None (edit)
Description shahan 2017-06-08 06:50:20 EDT
Created attachment 1286104 [details]
no need prompt

Description of problem:
When general users try to create clusteradmin exclusive resources,will prompt a warning dialog. Click "Create Anyway" button, However, will prompt another dialog unexpectedly said that "You have unsaved changes..".

Version-Release number of selected component (if applicable):
OpenShift Master:v3.6.99
Kubernetes Master:v1.6.1+5115d708d7 

How reproducible:
Always

Steps to Reproduce:
1.Login in web console,click "Add to project"
2. Open https://gist.githubusercontent.com/spadgett/9493aa1d8abf801594a1373ed4eea48b/raw/bb108fd62813342931566e60e55088853392029b/ups-broker-template.yaml
3.select "Import YAML/JSON" tab and paste the ups-broker-template.yaml content, click Create button ,then select process the template checkbox,click Continue button.
4.Fill in parameters in the edit page, and click "Create Anyway" on the warning dialog    

Actual results:
4.  will prompt another dialog unexpectedly said that "You have unsaved changes..".(see attachement)

Expected results:
4. will create resources without the warning prompt.

Additional info:
Comment 2 Samuel Padgett 2017-06-08 16:17:49 EDT
This is not specific to the cluster resource prompt. It happens for any template where the form was modified. Making this medium severity.
Comment 3 openshift-github-bot 2017-06-08 18:59:18 EDT
Commit pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/ac8590fb089a1aaa9d3f17e43194205b43e67b59
Bug 1459848 - Fix template confirm-on-exit prompt

Correctly set `confirm.doneEditing` when the "Create" button is clicked.
Comment 4 shahan 2017-06-16 00:45:18 EDT
I checked this issue on openshift v3.6.109 env, it has been fixed. Please change the bug to ON_QA, so that I can verift the bug. Thanks!

Note You need to log in before you can comment on or make changes to this bug.